Create folder
curl --request POST \
--url https://lowell-disintegrable-naughtily.ngrok-free.dev/api/v1/folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": 123,
"name": "<string>",
"color": "<string>",
"parent_id": 123
}
'import requests
url = "https://lowell-disintegrable-naughtily.ngrok-free.dev/api/v1/folders"
payload = {
"workspace_id": 123,
"name": "<string>",
"color": "<string>",
"parent_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspace_id: 123, name: '<string>', color: '<string>', parent_id: 123})
};
fetch('https://lowell-disintegrable-naughtily.ngrok-free.dev/api/v1/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Folders
Create folder
Create a media library folder (optional parent, color)
POST
folders
Create folder
Create folder
Creates a folder in the given workspace. Use the returnedid as folder_id on POST /media/upload/file or POST /media/upload/url.
Body
integer
required
Workspace that will own the folder
string
required
Display name
string
Hex color (e.g.
#4F46E5). Defaults to #4F46E5 if omitted.integer
Optional parent folder id (must be in the same workspace)
posts ability.
See also
List folders
Was this page helpful?
⌘I